> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢任務（火山相容）

> 按 cgt 任務 ID 查詢 Seedance 相容任務。

## 概覽

這些介面面向已經使用火山風格 Seedance 任務結構的團隊。鑑權使用 TokenLab Bearer API Key。返回的任務 ID 以 `cgt-` 開頭；請輪詢狀態介面，直到 `status` 變為 `succeeded`、`failed`、`cancelled` 或 `expired`。

另見 [Seedance 2.0 影片模型](/zh-Hant/guides/seedance-2-video) 和 [影片生成](/zh-Hant/guides/video-generation).

## 回應結構

任務狀態使用 `queued`、`running`、`succeeded`、`failed`、`cancelled` 或 `expired`。成功任務返回 `content.video_url`；可用時還會返回 `content.last_frame_url`、`return_last_frame` 和 `watermark` 等請求參數、`usage` 和 `progress`。沒有失敗時 `error` 為 `null`。

## 範例

```bash theme={null}
curl https://api.tokenlab.sh/api/v3/contents/generations/tasks/cgt-0123456789abcdef0123456789abcdef \
  -H "Authorization: Bearer $TOKENLAB_API_KEY"
```
